com.trilead.ssh2.transport

## Class KexManager

- java.lang.Object
- - com.trilead.ssh2.transport.KexManager

    public class KexManager
    extends java.lang.Object

KexManager.

### Constructor Summary

Constructors
Constructor and Description
`KexManager(TransportManager tm, ClientServerHello csh, CryptoWishList initialCwl, java.lang.String hostname, int port, ServerHostKeyVerifier keyVerifier, java.security.SecureRandom rnd)`

### Method Summary

Methods
`static void` `checkKexAlgorithmList(java.lang.String[] algos)`
`static void` `checkServerHostkeyAlgorithmsList(java.lang.String[] algos)`
`static java.lang.String[]` `getDefaultKexAlgorithmList()`
`static java.lang.String[]` `getDefaultServerHostkeyAlgorithmList()`
`ConnectionInfo` `getOrWaitForConnectionInfo(int minKexCount)`
`void` `handleMessage(byte[] msg, int msglen)`
`void` `initiateKEX(CryptoWishList cwl, DHGexParameters dhgex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KexManager

    public KexManager(TransportManager tm,
              ClientServerHello csh,
              CryptoWishList initialCwl,
              java.lang.String hostname,
              int port,
              ServerHostKeyVerifier keyVerifier,
              java.security.SecureRandom rnd)

### Method Detail

#### getOrWaitForConnectionInfo

    public ConnectionInfo getOrWaitForConnectionInfo(int minKexCount)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### initiateKEX

    public void initiateKEX(CryptoWishList cwl,
                   DHGexParameters dhgex)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### getDefaultServerHostkeyAlgorithmList

    public static final java.lang.String[] getDefaultServerHostkeyAlgorithmList()

#### checkServerHostkeyAlgorithmsList

    public static final void checkServerHostkeyAlgorithmsList(java.lang.String[] algos)

#### getDefaultKexAlgorithmList

    public static final java.lang.String[] getDefaultKexAlgorithmList()

#### checkKexAlgorithmList

    public static final void checkKexAlgorithmList(java.lang.String[] algos)

#### handleMessage

    public void handleMessage(byte[] msg,
                     int msglen)
                       throws java.io.IOException

Throws:
  `java.io.IOException`